QGIS Application - Bug report #11020
freeze when setting offset
2014-08-07 03:37 AM - Damien PERRET

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.4.0 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 19360
Description

Qgis 2.4 freezes when setting an offset on graduated styles for single simple line.

Find attached the style exported from version 2.2 that freezes version 2.4. Same thing happen when setting this style from scratch.

Regards

History

#1 - 2014-08-29 11:17 PM - Jiirgen Fischer
- Subject changed from Qgis 2.4 freeze when setting offset to freeze when setting offset
- Status changed from Open to Feedback

Please share a dataset you're experiencing this with.

#2 - 2014-08-30 10:23 AM - Jiirgen Fischer

- Category set to Symbology

#3 - 2014-09-01 01:24 AM - Damien PERRET

Jurgen Fischer wrote:

Please share a dataset you're experiencing this with.

Hi,

Please find attached an example.

On my computer (17, 32Go RAM) Qgis works ok when | set an offset on 3 of the 5 levels. When adding an offset to the 4th, it gets very slow at redrawing
the shape. At the 5th, it freezes.

| hope the attached file helps.

Regards

#4 - 2014-09-01 01:27 AM - Damien PERRET

Damien PERRET wrote:
Jirgen Fischer wrote:
Please share a dataset you're experiencing this with.
Hi,
Please find attached an example.
On my computer (17, 32Go RAM) Qgis works ok when | set an offset on 3 of the 5 levels. When adding an offset to the 4th, it gets very slow at
redrawing the shape. At the 5th, it freezes.

| hope the attached file helps.

Regards

Is there a place to upload files larger than 5Mo?

#5 - 2014-10-05 09:42 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Feedback to Closed

Tested your style on different datasets on qgis master and it seems to work ok.

Please reopen if necessary adding a sample project with data (if more than 5mb use something like Dropbox or similar). Cheers!

Files

sat.gml 13.1 KB 2014-08-07 Damien PERRET
